## mariadb-10.2 10.2.7

=== debian/changelog ===
mariadb-10.2 (10.2.7-1) unstable; urgency=medium

  * New upstream version 10.2.7
  * Merge the new MariaDB 10.3 based versionless packaging
  * Merge outstanding changes from MariaDB 10.1
  * Greatly simplify C/B/R/P in d/control utilising virtual packages and
    versioned package names for plugins
  * Remove mips-innobase-atomic.patch
  * Update GNU Hurd PATH_MAX patch for MariaDB 10.2
  * Rebase patches on top of MariaDB 10.2.7 using gbp pq import/export to have canonical versions of patches

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Jul 2017 22:53:10 +0200

mariadb-10.1 (10.1.25-1) unstable; urgency=medium

  * New upstream version 10.1.25
  * Update quilt patches on top of mariadb-10.1.25 release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 12 Jul 2017 09:39:19 +0200

mariadb-10.1 (10.1.24-6) unstable; urgency=medium

  * Run invoke-rc.d mysql maintscript snippets only when running under
    sysvinit (Closes: #864593)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Jun 2017 11:12:16 +0200

mariadb-10.1 (10.1.24-5) unstable; urgency=medium

  * Add @SYSTEMD_EXECSTARTPOST@ replacement token to mariadb@.service, so
    the /var/run/mysqld directory is created even for multi-server setup
    (Closes: #865083)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 19 Jun 2017 08:52:26 +0200

mariadb-10.1 (10.1.24-4) unstable; urgency=medium

  [ James Cowgill ]
  * Disable jemalloc on mips*. (Closes: #864340)
  * Update C11 atomics to have correct semantics (Closes: #864774)

  [ Ondřej Surý ]
  * Refresh patches after C11 atomics patch update
  * Merge mytop script improvements from src:mytop package (Original
    patches by Philipp Matthias Hahn, Werner Detter, Olaf van der Spek,
    and Steffen Zieger) (Closes: #864762)

  [ Svante Signell ]
  * Fix FTBFS on Debian GNU/Hurd (Closes: #861166)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 19 Jun 2017 07:09:50 +0200

mariadb-10.1 (10.1.24-3) unstable; urgency=medium

  * Team upload.
  * Add mips-innobase-atomic.patch, fixing FTBFS on 32-bit mips*, thanks to
    James Cowgill.  (Closes: #864298)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Jun 2017 02:23:44 +0200

mariadb-10.1 (10.1.24-2) unstable; urgency=medium

  * Add Breaks: cqrlog (<< 1.9.0-5~) to ensure correct upgrade order
    (Closes: #864159)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 06 Jun 2017 14:29:52 +0200

mariadb-10.1 (10.1.24-1) unstable; urgency=medium

  * New upstream version 10.1.24, includes fixes for the following
    high-priority regression fixes:
    + MDEV-11842: Fail to insert on a table where a field has no default
    + MDEV-12075: innodb_use_fallocate does not work in MariaDB
      Server 10.1.21
  * Refresh patches on top of MariaDB 10.1.24
  * Fix FTBFS in tests: Add cracklib-runtime to Build-Depends

 -- Ondřej Surý <ondrej@debian.org>  Tue, 06 Jun 2017 09:25:19 +0200

mariadb-10.1 (10.1.23-9+deb9u1) stretch; urgency=medium

  [ Ondřej Surý ]
  * Add Breaks: cqrlog (<< 1.9.0-5~) to ensure correct upgrade order
    (Closes: #864159)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Jun 2017 21:11:23 +0200

mariadb-10.1 (10.1.23-9) unstable; urgency=medium

  * Fix the invalid location of insserv configuration snippet
    (Thanks Michael Biebl for catching that)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 May 2017 09:26:33 +0200

mariadb-10.1 (10.1.23-8) unstable; urgency=medium

  * Use /etc/insserv.conf.d/mariadb to provide $database system facility
    (Closes: #862447)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 13 May 2017 11:08:43 +0200

mariadb-10.1 (10.1.23-7) unstable; urgency=medium

  * Remove hard Breaks/Replaces with mysql-server and mysql-client
  * Move virtual packages from Breaks to Conflicts (Debian Policy 7.6.2)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 12 May 2017 12:21:33 +0200

mariadb-10.1 (10.1.23-6) unstable; urgency=medium

  * Also fix the same assertion failure in xtradb (Closes: #862103)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 May 2017 19:51:47 +0200

mariadb-10.1 (10.1.23-5) unstable; urgency=medium

  * Add upstream patch to fix assertion failure in InnoDB storage engine
    (Closes: #862103)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 May 2017 17:21:55 +0200

mariadb-10.1 (10.1.23-4) unstable; urgency=medium

  * Properly declare conflict on mytop (Closes: #861913)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 May 2017 11:31:13 +0200

mariadb-10.1 (10.1.23-3) unstable; urgency=medium

  * Remove two internal symbols (ll2str and longlong2str) from
    kfrebsd-amd64 symbols file

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 May 2017 13:19:00 +0200

mariadb-10.1 (10.1.23-2) unstable; urgency=medium

  * Add CVE list for 10.1.23 release
  * Fix FTBFS on kfrebsd-any due missing .service files

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 May 2017 10:55:06 +0200

mariadb-10.1 (10.1.23-1) unstable; urgency=medium

  * New upstream version 10.1.23, includes fixes for the following
    security vulnerabilities:
   - [CVE-2017-3302]: use-after-free in C client library for MySQL
   - [CVE-2017-3313]: unauthorized (local) access to critical data or
     complete access to all MySQL Server accessible data
   - [CVE-2017-3308]: unauthorized (network) ability to cause a hang or
     frequently repeatable crash
   - [CVE-2017-3309]: unauthorized (network) ability to cause a hang or
     frequently repeatable crash
   - [CVE-2017-3453]: unauthorized (network) ability to cause a hang or
     frequently repeatable crash
   - [CVE-2017-3456]: unauthorized (network) ability to cause a hang or
     frequently repeatable crash
   - [CVE-2017-3464]: unauthorized update, insert or delete access to some
     of MySQL Server accessible data
  * Refresh debian/patches on top of MariaDB 10.1.23 release
  * debian/gbp.conf: Filter most common cruft in the orig tarball
  * debian/rules: Use --fail-missing to catch extra upstream files
  * debian/*.manpages: Merge into debian/*.install
  * debian/*.install: Add few missing binaries into various packages

