=== debian/control ===
Source: mariadb-10.2
Section: database
Priority: optional
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Uploaders: Otto Kekäläinen <otto@debian.org>,
           Arnaud Fontaine <arnau@debian.org>,
           Ondřej Surý <ondrej@debian.org>
Build-Depends: bison,
               chrpath,
               cmake,
               cracklib-runtime,
               debhelper (>= 9),
               dh-apparmor,
               dh-exec,
               dh-systemd,
               gdb,
               libaio-dev [linux-any],
               libarchive-dev,
               libboost-dev,
               libcrack2-dev (>= 2.9.0),
               libgnutls28-dev,
               libjemalloc-dev [!kfreebsd-any !hurd-any !mips !mipsel !mips64 !mips64el],
               libjudy-dev,
               libkrb5-dev,
               libncurses5-dev (>= 5.0-6~),
               libpam0g-dev,
               libpcre3-dev (>= 2:8.35-3.2~),
               libreadline-gplv2-dev,
               libsystemd-dev,
               libxml2-dev,
               lsb-release,
               ninja-build,
               perl,
               po-debconf,
               psmisc,
               unixodbc-dev,
               zlib1g-dev (>= 1:1.1.3-5~)
Standards-Version: 3.9.8
Homepage: https://mariadb.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-mysql/mariadb.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-mysql/mariadb.git

Package: libmariadb3
Section: libs
Architecture: any
Depends: mysql-common,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: MariaDB database client library
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the client library.

Package: libmariadb-dev
Architecture: any
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: libmariadb3 (= ${binary:Version}),
         zlib1g-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libmysqlclient-dev
Multi-Arch: same
Description: MariaDB database development files
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes development libraries and header files.

Package: libmariadbd19
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Breaks: libmariadbd-dev (<< ${source:Version})
Replaces: libmariadbd-dev (<< ${source:Version})
Description: MariaDB embedded database, shared library
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes a shared library for embedded MariaDB applications.

Package: libmariadbd-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: libmariadb-dev (= ${binary:Version}),
         libmariadbd19 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmysqld-dev
Replaces: libmysqld-dev
Description: MariaDB embedded database, development files
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the embedded server library development and header files.

Package: mariadb-common
Architecture: all
Depends: mysql-common (>= 5.6.25),
         ${misc:Depends}
Multi-Arch: foreign
Description: MariaDB common metapackage
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.

Package: mariadb-client-core-10.2
Architecture: any
Depends: mariadb-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: virtual-mysql-client-core
Conflicts: virtual-mysql-client-core
Replaces: virtual-mysql-client-core
Description: MariaDB database core client binaries
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the core client files, as used by Akonadi.

Package: mariadb-client-10.2
Architecture: any
Depends: debianutils (>=1.6),
         mariadb-client-core-10.2 (>= ${source:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Provides: mytop,
          virtual-mysql-client
Conflicts: mytop,
           virtual-mysql-client
Replaces: mytop,
          virtual-mysql-client
Recommends: libdbd-mysql-perl,
            libdbi-perl,
            libterm-readkey-perl
Description: MariaDB database client binaries
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the client binaries and the additional tools
 innotop and mysqlreport.

Package: mariadb-server-core-10.2
Architecture: any
Depends: mariadb-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: virtual-mysql-server-core
Conflicts: virtual-mysql-server-core
Replaces: virtual-mysql-server-core
Description: MariaDB database core server files
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the core server files, as used by Akonadi.

Package: mariadb-server-10.2
Architecture: any
Suggests: mailx,
          mariadb-test,
          netcat-openbsd,
          tinyca
Recommends: libhtml-template-perl
Pre-Depends: adduser (>= 3.40),
             debconf,
             mariadb-common (>= ${source:Version})
Depends: galera-3 (>=25.3),
         gawk,
         iproute2 [linux-any],
         libdbi-perl,
         lsb-base (>= 3.0-10),
         lsof [linux-any],
         mariadb-client-10.2 (>= ${source:Version}),
         mariadb-server-core-10.2 (>= ${binary:Version}),
         passwd,
         perl (>= 5.6),
         psmisc,
         rsync,
         socat,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: virtual-mysql-server
Conflicts: virtual-mysql-server
Replaces: virtual-mysql-server
Description: MariaDB database server binaries
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the MariaDB 10.2 server binaries.

Package: mariadb-plugin-connect-10.2
Architecture: any
Depends: libxml2,
         mariadb-server-10.2,
         unixodbc,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: mariadb-plugin-connect
Conflicts: mariadb-plugin-connect
Replaces: mariadb-plugin-connect
Description: Connect storage engine for MariaDB
 Connect engine supports a number of file formats (dbf, xml, txt, bin, etc),
 connections to ODBC tables and remote MySQL tables, as well as a number of
 other interesting features.
 .
 This package contains the Connect plugin for MariaDB 10.2.

Package: mariadb-plugin-oqgraph-10.2
Architecture: any
Depends: libjudydebian1,
         mariadb-server-10.2,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: mariadb-plugin-oqgraph
Replaces: mariadb-plugin-oqgraph
Provides: mariadb-plugin-oqgraph
Description: OQGraph storage engine for MariaDB
 The OQGraph engine is a computation engine plugin for handling hierarchies
 (trees) and graphs (friend-of-a-friend, etc) cleanly through standard SQL.
 .
 This package contains the OQGraph plugin for MariaDB 10.2.

Package: mariadb-plugin-tokudb-10.2
Architecture: amd64
Depends: mariadb-server-10.2,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: mariadb-plugin-tokudb
Replaces: mariadb-plugin-tokudb
Provides: mariadb-plugin-tokudb
Description: TokuDB storage engine for MariaDB
 The TokuDB storage engine is for use in high-performance and write-intensive
 environments, offering increased compression and better performance based
 on fractal indexes.
 .
 This package contains the TokuDB plugin for MariaDB 10.2.

Package: mariadb-plugin-rocksdb-10.2
Architecture: amd64 arm64 mips64el ppc64el
Depends: mariadb-server-10.2,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: mariadb-plugin-rocksdb
Replaces: mariadb-plugin-rocksdb
Provides: mariadb-plugin-rocksdb
Description: RocksDB storage engine for MariaDB
 The RocksDB storage engine offers excellent write performance without
 sacrificing too much read performance.  And as a modern storage
 engine, it compresses data.
 .
 This package contains the RocksDB plugin for MariaDB.

Package: mariadb-plugin-mroonga-10.2
Architecture: any-alpha any-amd64 any-arm any-arm64 any-i386 any-ia64 any-mips64el any-mips64r6el any-mipsel any-mipsr6el any-nios2 any-powerpcel any-ppc64el any-sh3 any-sh4 any-tilegx
Depends: mariadb-server-10.2,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: mariadb-plugin-mroonga
Replaces: mariadb-plugin-mroonga
Provides: mariadb-plugin-mroonga
Description: Mroonga storage engine for MariaDB
 Mroonga (formerly named Groonga Storage Engine) is a storage engine that
 provides fast CJK-ready full text searching using column store.
 .
 This package contains the Mroonga plugin for MariaDB 10.2.

Package: mariadb-plugin-spider-10.2
Architecture: any
Depends: mariadb-server-10.2,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: mariadb-plugin-spider
Replaces: mariadb-plugin-spider
Provides: mariadb-plugin-spider
Description: Spider storage engine for MariaDB
 The Spider storage engine with built-in sharding features. It supports
 partitioning and xa transactions, and allows tables of different MariaDB
 instances to be handled as if they were on the same instance. It refers to one
 possible implementation of ISO/IEC 9075-9:2008 SQL/MED.

Package: mariadb-plugin-gssapi-server-10.2
Architecture: any
Depends: libgssapi-krb5-2,
         mariadb-server-10.2,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: mariadb-plugin-gssapi-server
Replaces: mariadb-plugin-gssapi-server
Provides: mariadb-plugin-gssapi-server
Description: GSSAPI authentication plugin for MariaDB server
 This plugin includes support for Kerberos on Unix, but can also be used for
 Windows authentication with or without domain environment.
 .
 This package contains the server parts.

Package: mariadb-plugin-gssapi-client-10.2
Architecture: any
Depends: libgssapi-krb5-2,
         libmariadb3 (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: mariadb-plugin-gssapi-client
Replaces: mariadb-plugin-gssapi-client
Provides: mariadb-plugin-gssapi-client
Description: GSSAPI authentication plugin for MariaDB client
 This plugin includes support for Kerberos on Unix, but can also be used for
 Windows authentication with or without domain environment.
 .
 This package contains the client parts.

Package: mariadb-plugin-cracklib-password-check-10.2
Architecture: any
Depends: libcrack2 (>= 2.9.0),
